import { Platform } from '@ionic/angular';
import { CordovaBrowser } from 'ionic-appauth/lib/cordova';
import { DefaultBrowser } from 'ionic-appauth';
import { InAppBrowser } from '@ionic-native/in-app-browser/ngx';
import { AuthBrowserService } from '../services/auth-browser/auth-browser.service';

export let browserFactory = (platform: Platform, inapp: InAppBrowser) => {
    return platform.is('cordova') ? new AuthBrowserService(inapp) : new DefaultBrowser();
    // return platform.is('cordova') ? new CordovaBrowser() : new DefaultBrowser();
};
