import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IonicModule } from '@ionic/angular';
import { PrenotazioneAnagraficaFormComponent } from './prenotazione-anagrafica-form.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RxReactiveFormsModule } from '@rxweb/reactive-form-validators';

@NgModule({
  declarations: [
    PrenotazioneAnagraficaFormComponent
  ],
  imports: [
    CommonModule,
    IonicModule,
    ReactiveFormsModule,
    RxReactiveFormsModule,
    FormsModule, 
  ],
  exports: [
    PrenotazioneAnagraficaFormComponent
  ]
})
export class PrenotazioneAnagraficaFormModule { }
