import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { TransformPipe } from 'src/app/pipe';

import { ChatMessageModule, GenericSkeletonModule, HeaderModule, MessageCardModule } from '../../../components';
import { ChatPageRoutingModule } from './chat-routing.module';
import { ChatPage } from './chat.page';

@NgModule({
	imports: [CommonModule, FormsModule, IonicModule, ChatPageRoutingModule, ReactiveFormsModule, ChatMessageModule, MessageCardModule, GenericSkeletonModule, HeaderModule],
	declarations: [ChatPage],
	providers: [TransformPipe]
})
export class ChatPageModule {}
