import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { CardProcedureModule, GenericSkeletonModule, HeaderModule, MessageCardModule } from 'src/app/components';

import { ProcedurePageRoutingModule } from './procedure-routing.module';
import { ProcedurePage } from './procedure.page';
import { IonicSelectableModule } from 'ionic-selectable';

@NgModule({
	imports: [CommonModule, FormsModule, IonicModule, ProcedurePageRoutingModule, MessageCardModule, CardProcedureModule, GenericSkeletonModule, HeaderModule, IonicSelectableModule,],

	declarations: [ProcedurePage],
})
export class ProcedurePageModule { }
