import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { HomePage } from './home.page';

const routes: Routes = [
	{
		path: '',
		component: HomePage,
	},
	/*   {
      path: 'spid',
      loadChildren: () => import('../../utenza').then( m => m.SpidPageModule)
    },
 
  */
	{
		path: 'tutorial/:params',
		loadChildren: () => import('../../informazioni').then((m) => m.TutorialPageModule),
	},
	{
		path: 'procedure',
		loadChildren: () => import('../../gestore-pratiche').then((m) => m.ProcedurePageModule),
	},
	{
		path: 'prenotazione-step1',
		loadChildren: () => import('../../prenotazione').then((m) => m.PrenotazioneStep1PageModule),
	},
	{
		path: 'p-step2/:params',
		loadChildren: () => import('../../prenotazione').then((m) => m.PrenotazioneStep2PageModule),
	},
	{
		path: 'p-step3/:params',
		loadChildren: () => import('../../prenotazione').then((m) => m.PrenotazioneStep3PageModule),
	},
	{
		path: 'p-step4/:params',
		loadChildren: () => import('../../prenotazione').then((m) => m.PrenotazioneStep4PageModule),
	},
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule],
})
export class HomePageRoutingModule {}
