import { Component, OnInit } from '@angular/core';
import { AuthenticationService } from 'src/app/services/authentication/authentication.service';

@Component({
  selector: 'app-tabs',
  templateUrl: './tabs.page.html',
  styleUrls: ['./tabs.page.scss'],
})
export class TabsPage implements OnInit {
  isLoggedin: boolean;

  constructor(
    private authService: AuthenticationService
  ) {
    this.subscriptionLoggedIN();
  }

  ngOnInit() {
  }

  subscriptionLoggedIN() {
    this.authService.loggedIN$.subscribe({
      next: (value) => {
        this.isLoggedin = value;
      },
      error: () => { }
    });
  }

}
