import { CalendarComponentOptions } from 'ion2-calendar';

export const MONTH_LABELS = [
  'GEN',
  'FEB',
  'MAR',
  'APR',
  'MAG',
  'GIU',
  'LUG',
  'AGO',
  'SET',
  'OTT',
  'NOV',
  'DIC',
];

export const WEEK_LABELS = ['D', 'L', 'M', 'M', 'G', 'V', 'S'];

export const CALENDAR_OPTION: CalendarComponentOptions = {
  pickMode: 'range',
  from: new Date(new Date().getFullYear() - 150),
  showMonthPicker: true,
  monthPickerFormat: MONTH_LABELS,
  weekdays: WEEK_LABELS,
  color: 'primary',
  weekStart: 1,
  showToggleButtons: true,
};
