package it.itsvil.notificatore.backend.utils;

public enum NotificatoreEnum {

	ATTIVO("Y"),
	NON_ATTIVO("N"),
	EMAIL_ACCOUNT("EMAIL_ACCOUNT"),
	EMAIL_PASSWORD("EMAIL_PASSWORD"),
	EMAIL_PORT("EMAIL_PORT"),
	EMAIL_HOST_SMTP("EMAIL_HOST_SMTP"),
	FIREBASE_SERVER_URL	("FIREBASE_SERVER_URL"),
	FIREBASE_SERVER_URL_HTTP_V1 ("FIREBASE_SERVER_URL_HTTP_V1"),
	SERVICE_ACCOUNT ("SERVICE_ACCOUNT"),
	NEW_MESSAGE_CATEGORY ("NEW_MESSAGE_CATEGORY"),
	FIREBASE_SERVER_KEY_ANDROID	("FIREBASE_KEY_ANDROID"),
	ANDROID	("ANDROID"),
	IOS	("IOS"),
	MAIL_SMTP_AUTH ("mail.smtp.auth"),
	MAIL_SMTP_PORT ("mail.smtp.port"),
	MAIL_SMTP_SOCKETFACTORY_PORT ("mail.smtp.socketFactory.port"),
	MAIL_SMTP_SOCKETFACTORY_CLASS ("mail.smtp.socketFactory.class"),
	JAVAX_NET_SSL_SSLSOCKETFACTORY ("javax.net.ssl.SSLSocketFactory"),
	MAIL_SMTP_HOST ("mail.smtp.host"),
	TEXT_HTML_CHARSET_UTF_8 ("text/html; charset=utf-8"),
	BODY_GENERALE ("BODY_GENERALE"),
	BODY_RECUPERA_PASSWORD ("BODY_RECUPERA_PASSWORD"),
	BODY_REGISTRAZIONE ("BODY_REGISTRAZIONE"),
	BODY_INFO_1 ("BODY_INFO_1"),
	BODY_INFO_2 ("BODY_INFO_2"),
	BODY_CONFERMA_OPERAZIONE ("BODY_CONFERMA_OPERAZIONE"),
	FIREBASE_SERVER_KEY_IOS	("FIREBASE_KEY_IOS");
	
	public static final String FIREBASE_PUSH_SOUND = "mySound";
	public static final String FIREBASE_COLLAPSE_KEY = "type_a";
	public static final String APPLICATION_JSON = "application/json";
	public static final String AUTHORIZATION = "Authorization";
	public static final String FCM_PLUGIN_ACTIVITY = "FCM_PLUGIN_ACTIVITY";
	
	private String codice;
	private NotificatoreEnum(String codice){
		this.codice = codice;
	}

	public String getCodice() {
		return codice;
	}

}

