package it.itsvil.profilatore;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.PropertySource;
import org.springframework.context.annotation.PropertySources;

@SpringBootApplication
@PropertySources({
	@PropertySource("file:${catalina.home}/conf/modules/profilatore/application.properties")
})
public class ProfilatoreApplication extends SpringBootServletInitializer{

	public static void main(String[] args) {
		SpringApplication.run(ProfilatoreApplication.class, args);
	}
	
	@Override
	protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
		return application.sources(ProfilatoreApplication.class);
	}
}
