package it.itsvil.profilatore.backend.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import it.itsvil.profilatore.backend.dto.DettaglioFunzionalitaAggiuntiveDTO;
import it.itsvil.profilatore.backend.dto.FunzionalitaDTO;
import it.itsvil.profilatore.backend.dto.FunzioneDTO;
import it.itsvil.profilatore.backend.dto.RuoloDTO;
import it.itsvil.profilatore.backend.dto.UtenzeDTO;


@Repository
public interface ProfilatoreDao {

	public RuoloDTO getRuolo(Long n_id_ruolo, String t_nome, String n_id_app);
	public List<FunzioneDTO> getFunzione(Long n_id_ruolo);
	public List<FunzionalitaDTO> getFunzionalitaAttive(Long n_id_funzione);
	public UtenzeDTO getUtente(String t_id_utente, String n_id_app);
	public List<DettaglioFunzionalitaAggiuntiveDTO> getFunzionalitaAggiuntiveAttive(Long n_id_utente);
	public void updateUtenza(UtenzeDTO request);
	public void insertUtenza(UtenzeDTO request);
	public Long nextUserSequence();
}
