package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class InsertDettaglioFunzioneRequestDTO implements Serializable{

	private static final long serialVersionUID = -380365375859139499L;
	
	@Schema(required=true, description="Nome della funzione")
	private String t_nome_funzione;
	
	@Schema(required=false, description="Descrizione della funzione")
	private String t_descrizione_funzione;
	
	@Schema(required=false, description="Lista di funzionalità legate alla funzione")
	private List<InsertFunzionalitaRequestDTO> funzionalita;
	
	public String getT_nome_funzione() {
		return t_nome_funzione;
	}

	public void setT_nome_funzione(String t_nome_funzione) {
		this.t_nome_funzione = t_nome_funzione;
	}

	public String getT_descrizione_funzione() {
		return t_descrizione_funzione;
	}

	public void setT_descrizione_funzione(String t_descrizione_funzione) {
		this.t_descrizione_funzione = t_descrizione_funzione;
	}

	public List<InsertFunzionalitaRequestDTO> getFunzionalita() {
		return funzionalita;
	}
	
	public void setFunzionalita(List<InsertFunzionalitaRequestDTO> funzionalita) {
		this.funzionalita = funzionalita;
	}
	
}
