package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class InsertDettaglioRuoloRequestDTO implements Serializable{

	private static final long serialVersionUID = -2831793052047325735L;
	
	@Schema(required=true, description="Nome del ruolo")
	private String t_nome_ruolo;
	
	@Schema(required=false, description="Descrizione del ruolo")
	private String t_descrizione_ruolo;
	
	@Schema(required=false, description="Lista di funzioni legate al ruolo")
	private List<InsertDettaglioFunzioneRequestDTO> funzioni;

	public String getT_nome_ruolo() {
		return t_nome_ruolo;
	}

	public void setT_nome_ruolo(String t_nome_ruolo) {
		this.t_nome_ruolo = t_nome_ruolo;
	}

	public String getT_descrizione_ruolo() {
		return t_descrizione_ruolo;
	}

	public void setT_descrizione_ruolo(String t_descrizione_ruolo) {
		this.t_descrizione_ruolo = t_descrizione_ruolo;
	}

	public List<InsertDettaglioFunzioneRequestDTO> getFunzioni() {
		return funzioni;
	}

	public void setFunzioni(List<InsertDettaglioFunzioneRequestDTO> funzioni) {
		this.funzioni = funzioni;
	}
	
	
}
