package it.itsvil.profilatore.backend.dto;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import io.swagger.v3.oas.annotations.media.Schema;

@JsonInclude(Include.NON_ABSENT)
public class InsertFunzioneFunzionalitaRequestDTO implements Serializable{

	private static final long serialVersionUID = -3280095209213628345L;
	
	@Schema(required=true, description="Identificativo univoco della funzione")
	private Long n_id_funzione;
	
	@Schema(required=true, description="Identificativo univoco della funzionalità")
	private Long n_id_funzionalita;

	public Long getN_id_funzione() {
		return n_id_funzione;
	}

	public void setN_id_funzione(Long n_id_funzione) {
		this.n_id_funzione = n_id_funzione;
	}

	public Long getN_id_funzionalita() {
		return n_id_funzionalita;
	}

	public void setN_id_funzionalita(Long n_id_funzionalita) {
		this.n_id_funzionalita = n_id_funzionalita;
	}
	
	
}
