package it.itsvil.profilatore.backend.mapper;

import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import it.itsvil.profilatore.backend.dto.FunzionalitaAggiuntiveDTO;
import it.itsvil.profilatore.backend.dto.FunzionalitaDTO;
import it.itsvil.profilatore.backend.dto.FunzioneDTO;
import it.itsvil.profilatore.backend.dto.FunzioneFunzionalitaDTO;
import it.itsvil.profilatore.backend.dto.RuoloDTO;
import it.itsvil.profilatore.backend.dto.UtenzeDTO;

@Mapper
public interface ProfilatoreConfigurationMapper {
	
	public Long getSequenceRuolo();
	public void insertRuolo(RuoloDTO request);
	public void setRuolo(Map<String, Object> map);
	void insertUtenza(UtenzeDTO request);
	Long nextUserSequence();
	public Long getSqFunzionalita();
	public void insertFunzionalita(FunzionalitaDTO request);
	public void setFunzionalita(FunzionalitaDTO request);
	public Long nextFunzioneSequence();
	public void insertFunzione(FunzioneDTO request);
	public void updateFunzione(FunzioneDTO request);
	public void insertFunzioneFunzionalita(FunzioneFunzionalitaDTO request);
	public void setFunzioneFunzionalita(Map<String, Object> map);
	public void insertFunzionalitaAggiuntive(FunzionalitaAggiuntiveDTO request);
	public void updateFunzionalitaAggiuntive(FunzionalitaAggiuntiveDTO request);
	public void deleteFunzioneFunzionalita(Map<String, Object> map);
	public void deleteFunzionalitaAggiuntive(Map<String, Object> map);
	
}
