package it.itsvil.profilatore.backend.service;

import org.springframework.stereotype.Service;

import it.itsvil.profilatore.backend.dto.FunzionalitaAggiuntiveDTO;
import it.itsvil.profilatore.backend.dto.FunzioneFunzionalitaDTO;
import it.itsvil.profilatore.backend.dto.InsertFunzionalitaAggiuntiveRequestDTO;
import it.itsvil.profilatore.backend.dto.InsertFunzionalitaRequestDTO;
import it.itsvil.profilatore.backend.dto.InsertFunzioneFunzionalitaRequestDTO;
import it.itsvil.profilatore.backend.dto.InsertFunzioneRequestDTO;
import it.itsvil.profilatore.backend.dto.InsertRuoloRequestDTO;
import it.itsvil.profilatore.backend.dto.UpdateFunzionalitaRequestDTO;
import it.itsvil.profilatore.backend.dto.UpdateFunzioneRequestDTO;
import it.itsvil.profilatore.backend.dto.UpdateRuoloRequestDTO;

@Service
public interface ProfilatoreConfigurationService {
	
	public Long getSequenceRuolo();
	public int insertRuolo(InsertRuoloRequestDTO request);
	public int setRuolo(UpdateRuoloRequestDTO request);
	public int insertFunzionalita(InsertFunzionalitaRequestDTO request);
	public int setFunzionalita(UpdateFunzionalitaRequestDTO request);
	public int insertFunzione(InsertFunzioneRequestDTO request);
	public int updateFunzione(UpdateFunzioneRequestDTO request);
	public int insertFunzioneFunzionalita(InsertFunzioneFunzionalitaRequestDTO request);
	public int setFunzioneFunzionalita(FunzioneFunzionalitaDTO request);
	public int insertFunzionalitaAggiuntive(InsertFunzionalitaAggiuntiveRequestDTO request);
	public int updateFunzionalitaAggiuntive(FunzionalitaAggiuntiveDTO request);
	public int deleteFunzioneFunzionalita(Long n_id_funzione, Long n_id_funzionalita);
	public int deleteFunzionalitaAggiuntive(Long n_id_funzionalita, Long n_id_utente, Long n_id_funzione);
	
}
