import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { CalendarModule } from 'ion2-calendar';

import { PsDateRangerComponent } from './ps-date-ranger.component';

@NgModule({
  declarations: [
    PsDateRangerComponent
  ],
  imports: [
    CommonModule,
    IonicModule,
    FormsModule,
    ReactiveFormsModule,
    CalendarModule

  ],
  exports: [
    PsDateRangerComponent
  ],
})
export class PsDateRangerModule { }
