import { Allegato } from './allegato';

export interface NewsEventiDettaglio {
	title: string;
	nid: string;
	field_image: string;
	field_data_pubblicazione: string;
	field_descrizione_abstract: string;
	body: string;
	field_galleria_di_immagini: string; //????
	field_multimedia: string; // ????
	field_documenti_allegati: string;
	listaImage?: Array<string>;
	listaVideoLocali?: Array<string>;
	listaVideoEsterni?: Array<string>;
	listaAllegati?: Array<Allegato>;
	base_url?: string;
	field_correlati_documenti: string;
	relatedList: Allegato[];
	field_tipologia_notizia: string;
	a_cura_di: string;
	correlati_persone: string;
	correlati_luoghi: string;
	correlati_novita: string;
	parsedACareOf: Allegato[];
	parsedCorrelatedPeople: Allegato[];
	parsedCorrelatedPlaces: Allegato[];
	parsedCorrelatedNews: Allegato[];
}
