import { Component, OnInit } from '@angular/core';
import { NavController } from '@ionic/angular';
import { AuthService } from 'ionic-appauth';
import { Router } from '@angular/router';
import { AuthenticationService } from 'src/app/services/authentication/authentication.service';
import { PAGES } from 'src/app/utility';

@Component({
  template: '<p>Signing Out...</p>'
})
export class EndSessionPage implements OnInit {

  constructor(
    private auth: AuthService,
    private navCtrl: NavController,
    private router: Router,
    private authService: AuthenticationService) { }

  ngOnInit() {
    this.auth.endSessionCallback();
    this.authService.logout();
    this.navCtrl.navigateRoot(PAGES.landing_page);
  }

}
