import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { NgxYoutubePlayerModule } from 'ngx-youtube-player';
import { GenericSkeletonModule } from 'src/app/components';

import { GalleriaNewsPageRoutingModule } from './galleria-news-routing.module';
import { GalleriaNewsPage } from './galleria-news.page';

@NgModule({
	imports: [CommonModule, FormsModule, IonicModule, GalleriaNewsPageRoutingModule, NgxYoutubePlayerModule.forRoot(), GenericSkeletonModule],
	declarations: [GalleriaNewsPage],
})
export class GalleriaNewsPageModule {}
