import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { GenericSkeletonModule, MessageCardModule, NewsEventiModule } from 'src/app/components';

import { HeaderModule } from '../../../components';
import { NewsPageRoutingModule } from './news-routing.module';
import { NewsPage } from './news.page';

@NgModule({
	imports: [CommonModule, FormsModule, IonicModule, NewsPageRoutingModule, NewsEventiModule, MessageCardModule, GenericSkeletonModule, HeaderModule],
	declarations: [NewsPage],
})
export class NewsPageModule {}
