import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { ResponseChatBot } from 'src/app/models';

@Injectable({
  providedIn: 'root'
})
export class ChatService {

  constructor(private httpClient: HttpClient) { }


  getMock(): Observable<ResponseChatBot> {
    return this.httpClient.get<ResponseChatBot>('assets/mock/chat-mock.json');
  }
}
