/* import { JwtModuleOptions, JWT_OPTIONS } from '@auth0/angular-jwt'; */
import { NgxUiLoaderConfig, SPINNER, NgxUiLoaderRouterConfig, NgxUiLoaderHttpConfig } from 'ngx-ui-loader';
/* import { Storage } from '@ionic/storage'; */

export const ngxUiLoaderConfig: NgxUiLoaderConfig = {
    fgsType: SPINNER.chasingDots,
    fgsSize: 25,
    pbThickness: 3,
    bgsOpacity: 1,
    bgsPosition: 'center-center',
    bgsSize: 25,
    bgsType: SPINNER.chasingDots,
    blur: 0,
    fgsPosition: 'center-center',
    fgsColor: '#ed6909',
    overlayBorderRadius: '0',
    hasProgressBar: false,
    overlayColor: 'rgba(40, 40, 40, 0.2)'
};

export const ngxUiLoaderRouterConfig: NgxUiLoaderRouterConfig = {
    excludeRegexp: ['login']
};

export const ngxUiLoaderHttpConfig: NgxUiLoaderHttpConfig = {
    showForeground: true
};



//Token JWT
/* export const TOKEN = 'access_token';

export function jwtOptionsFactory(storage) {
    return {
        tokenGetter: () => {
            return storage.get(TOKEN);
        },
        disallowedRoutes: [
            "/prophet/authentication/ammit/oauth2/1.0/generateToken",
        ],
    }
}; */

/* export const jwtModuleOptions: JwtModuleOptions = {
    jwtOptionsProvider: {
        provide: JWT_OPTIONS,
        useFactory: jwtOptionsFactory,
        deps: [Storage]
    }
}; */


